Bug 540367 - SELinux is preventing /usr/bin/passwd "execute" access on /usr/bin/gnome-keyring-daemon.
Summary: SELinux is preventing /usr/bin/passwd "execute" access on /usr/bin/gnome-keyr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:4f3cfb4334b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 07:35 UTC by navrin
Modified: 2011-09-20 11:12 UTC (History)
4 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:41:09 UTC


Attachments (Terms of Use)

Description navrin 2009-11-23 07:35:02 UTC
Summary:

SELinux is preventing /usr/bin/passwd "execute" access on
/usr/bin/gnome-keyring-daemon.

Detailed Description:

SELinux denied access requested by passwd. It is not expected that this access
is required by passwd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:bin_t:s0
Target Objects                /usr/bin/gnome-keyring-daemon [ file ]
Source                        passwd
Source Path                   /usr/bin/passwd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           passwd-0.77-1.fc12
Target RPM Packages           gnome-keyring-2.28.1-2.fc12
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686 #1
                              SMP Sat Nov 7 21:41:45 EST 2009 i686 i686
Alert Count                   2
First Seen                    Mon 23 Nov 2009 03:31:53 PM CST
Last Seen                     Mon 23 Nov 2009 03:32:46 PM CST
Local ID                      8a11876a-62ef-4e60-8e3e-c6b3a2431373
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258961566.895:101): avc:  denied  { execute } for  pid=14742 comm="passwd" name="gnome-keyring-daemon" dev=dm-2 ino=10951 scontext=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258961566.895:101): arch=40000003 syscall=11 success=no exit=-13 a0=bc33f9 a1=bfc862a0 a2=8f2c0f8 a3=bc343c items=0 ppid=14734 pid=14742 auid=501 uid=501 gid=501 euid=501 suid=0 fsuid=501 egid=501 sgid=501 fsgid=501 tty=pts1 ses=6 comm="passwd" exe="/usr/bin/passwd" subj=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,passwd,passwd_t,bin_t,file,execute
audit2allow suggests:

#============= passwd_t ==============
allow passwd_t bin_t:file execute;

Comment 1 Daniel Walsh 2009-11-23 16:12:46 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:40:29 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:23:48 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:34:55 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.